=== debian/changelog ===
lomiri-action-api (1.1.2-3) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 16:20:14 +0100

lomiri-action-api (1.1.2-2) unstable; urgency=medium

  * debian/control:
    + Drop from D (dev:pkg): libhud2-dev. Using the bundled libhud-2 API.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 22:20:26 +0100

lomiri-action-api (1.1.2-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1030324).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 22:07:46 +0100
