=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/lomiri-action-api/tags .*/lomiri-action-api-(\d\S+)\.tar\.gz
