## lomiri-action-api 1.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "" FORCE)
 endif()
 
-project(lomiri-action VERSION 1.1.2 LANGUAGES CXX C)
+project(lomiri-action VERSION 1.1.3 LANGUAGES CXX C)
 
 if(PROJECT_BINARY_DIR STREQUAL PROJECT_SOURCE_DIR)
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -69,7 +69,10 @@
 # Static C++ checks
 add_custom_target(cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2
                                        ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests)
+find_package(Qt5Core REQUIRED)
 find_package(Qt5Quick REQUIRED)
+find_package(Qt5Widgets REQUIRED)
+find_package(Qt5Qml REQUIRED)
 
 include_directories(include)
 add_subdirectory(src)
@@ -85,7 +88,7 @@
 find_program(qmltestrunner_exe qmltestrunner)
 
 if(NOT qmltestrunner_exe)
-  msg(FATAL_ERROR "Could not locate qmltestrunner.")
+  message(FATAL_ERROR "Could not locate qmltestrunner.")
 endif()
 
 macro(add_qml_test COMPONENT_NAME)
