=== src/CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 )
 target_link_libraries (lomiri-action-qt ${HUD_LIBRARIES})
 
-qt5_use_modules(lomiri-action-qt Core)
+target_link_libraries(lomiri-action-qt Qt5::Core)
 
 install(
   TARGETS lomiri-action-qt
