=== examples/action-context/CMakeLists.txt ===
set(EXAMPLE_SRCS
    action-context.cpp
)

add_executable(action-context ${EXAMPLE_SRCS})
target_link_libraries(action-context lomiri-action-qt)
target_link_libraries(action-context Qt5::Core Qt5::Widgets)
