=== examples/mail-app/CMakeLists.txt ===
set(EXAMPLE_SRCS
    mail-app.cpp
)

add_executable(mail-app ${EXAMPLE_SRCS})
target_link_libraries(mail-app lomiri-action-qt)
target_link_libraries(mail-app Qt5::Core Qt5::Widgets)
