=== test/cpp/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
 add_executable(cpptest ${TEST_SRCS})
 target_link_libraries(cpptest lomiri-action-qt ${GIO_LIBRARIES})
-qt5_use_modules(cpptest Core Test)
+find_package(Qt5Test REQUIRED)
+target_link_libraries(cpptest Qt5::Core Qt5::Test)
 
 add_test(NAME cpp COMMAND ${testCommand})
