=== qml/Lomiri/Action/CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 )
 target_link_libraries(lomiri-action-qml lomiri-action-qt)
 
-qt5_use_modules(lomiri-action-qml Qml)
+target_link_libraries(lomiri-action-qml Qt5::Qml)
 
 get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION)
 exec_program(${QMAKE_EXECUTABLE} ARGS "-query QT_INSTALL_QML" OUTPUT_VARIABLE QT_IMPORTS_DIR)
