## lomiri-action-api 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
     set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/install CACHE PATH "" FORCE)
 endif()
 
-project(lomiri-action VERSION 1.1.3 LANGUAGES CXX C)
+project(lomiri-action-api VERSION 1.2.0 LANGUAGES CXX C)
 
 if(PROJECT_BINARY_DIR STREQUAL PROJECT_SOURCE_DIR)
    message(FATAL_ERROR "In-tree build attempt detected, aborting. Set your build dir outside your source dir, delete CMakeCache.txt from source root and try again.")
@@ -15,6 +15,13 @@
 
 option(basic_warnings "Basic compiler warnings." ON)
 option(use_libhud2 "Use external libhud2 lib" ON)
+option(ENABLE_QT6 "Enable Qt6" OFF)
+if ("${CMAKE_BUILD_TYPE}" STREQUAL "release" OR "${CMAKE_BUILD_TYPE}" STREQUAL "relwithdebinfo")
+    option(ENABLE_WERROR "Treat warnings as errors" ON)
+else()
+    option(ENABLE_WERROR "Treat warnings as errors" OFF)
+endif()
+
 include(FindPkgConfig)
 
 if (use_libhud2)
@@ -30,16 +37,10 @@
     include_directories(${GIO2_INCLUDE_DIRS})
 endif()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11 -fno-permissive -pedantic -Wall -Wextra")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++17 -fno-permissive -pedantic -Wall -Wextra")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
 
-if ("${CMAKE_BUILD_TYPE}" STREQUAL "release" OR "${CMAKE_BUILD_TYPE}" STREQUAL "relwithdebinfo")
-    option(Werror "Treat warnings as errors" ON)
-else()
-    option(Werror "Treat warnings as errors" OFF)
-endif()
-
-if (Werror)
+if (ENABLE_WERROR)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
 endif()
 
@@ -69,10 +70,16 @@
 # Static C++ checks
 add_custom_target(cppcheck COMMAND cppcheck --enable=all -q --error-exitcode=2
                                        ${CMAKE_SOURCE_DIR}/src ${CMAKE_SOURCE_DIR}/tests)
-find_package(Qt5Core REQUIRED)
-find_package(Qt5Quick REQUIRED)
-find_package(Qt5Widgets REQUIRED)
-find_package(Qt5Qml REQUIRED)
+
+if (ENABLE_QT6)
+    find_package(QT NAMES Qt6 REQUIRED COMPONENTS Core Qml)
+    set(QT_VERSION_IN_LIBNAME ${QT_VERSION_MAJOR})
+else()
+    find_package(QT NAMES Qt5 REQUIRED COMPONENTS Core Qml)
+    set(QT_VERSION_IN_LIBNAME "")
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Widgets Quick Qml)
 
 include_directories(include)
 add_subdirectory(src)
@@ -145,7 +152,7 @@
 if(${ENABLE_TESTING})
   enable_testing()
   add_subdirectory(test)
-  
+
   ADD_CUSTOM_TARGET(
     check
     ${CMAKE_CTEST_COMMAND} --force-new-ctest-process --output-on-failure
