=== debian/changelog ===
lomiri-action-api (1.2.0-2) unstable; urgency=medium

  * debian/rules:
    + Don't fail during dh_installdocs override when building with -B
      debbuildopts.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 31 Mar 2025 08:11:54 +0200

lomiri-action-api (1.2.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/:
    + Dually build against Qt5 and Qt6. This adds various new bin:pkg to the
      build result.
    + Rename doc:pkg (lomiri-action-doc -> lomiri-action-api-doc).
  * debian/patches/1001_typo-fixes.patch:
    + Amend patch, don't fix grammar issues in parts of the API, even if that
      uses wrong grammar. :-/.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
    + In B-D, switch from pkg-config to pkgconf. Thanks, lintian.
    + Add B:/R: for old name lomiri-action-doc doc:pkg (so it gets removed
      once the newer lomiri-action-api-doc doc:pkg gets installed).
  * debian/rules:
    + Stop excluding the QML module qml:pkg from dh_makeshlibs.
    + Silence Qt6 complaints about LANG=C.
    + No need to move API docs, folder renamed by upstream since this release.
    + Remove build cruft during dh_clean. (Closes: #1047231).
  * debian/copyright:
    + Update copyright attributions for debian/.
    + Use new FSF mailing address.

  [ Vagrant Cascadian ]
  * Reproducible Builds fixes: (Closes: #1034129)
    + debian/rules:
      - Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via dh_auto_configure override.
      - Add dh_installdocs override to remove build path from lomiri-action-qml-
        api.index.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Mar 2025 11:56:47 +0200

lomiri-action-api (1.1.3-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 15:55:28 +0100
