=== debian/control ===
Source: lomiri-action-api
Section: libs
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libglib2.0-dev,
               pkgconf,
               qt6-base-dev,
               qt6-tools-dev-tools,
               qt6-declarative-dev,
               qt6-declarative-dev-tools,
               qml6-module-qtquick,
               qml6-module-qttest,
               qtbase5-dev,
               qttools5-dev-tools,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qml-module-qtquick2,
               qml-module-qttest,
               dbus-test-runner,
               doxygen,
               graphviz,
               rdfind,
               symlinks,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-action-api
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-action-api.git
Vcs-Browser: https://salsa.debian.org/ubports-team/core/lomiri-action-api

Package: liblomiri-action-qt6-1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri Action Qt6 API
 Lomiri Common Action API (built against Qt6). Allow applications to
 export actions in various forms to the Lomiri Shell.

Package: liblomiri-action-qt1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Lomiri Action Qt5 API
 Lomiri Common Action API (built against Qt5). Allow applications to
 export actions in various forms to the Lomiri Shell.

Package: liblomiri-action-qt6-1-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-action-qt6-1 (= ${binary:Version}),
         qt6-base-dev,
Suggests: lomiri-action-doc,
Description: Lomiri Action Qt6 API - development files
 Lomiri Common Action API (built against Qt6). Allow applications to
 export actions in various forms to the Lomiri Shell.
 .
 This package contains development files to develop against the library.

Package: liblomiri-action-qt1-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-action-qt1 (= ${binary:Version}),
         qtbase5-dev,
Suggests: lomiri-action-doc,
Description: Lomiri Action Qt5 API - development files
 Lomiri Common Action API (built against Qt5). Allow applications to
 export actions in various forms to the Lomiri Shell.
 .
 This package contains development files to develop against the library.

Package: qml6-module-lomiri-action
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-action-qt6-1 (= ${binary:Version}),
Description: Lomiri Action QML Components (Qt6)
 Lomiri Common Action API (Qt6 version). Allow applications to
 export actions in various forms to the Lomiri Shell.
 .
 This package contains the qtdeclarative binding for the lomiri-action
 library.

Package: qml-module-lomiri-action
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblomiri-action-qt1 (= ${binary:Version}),
Description: Lomiri Action QML Components (Qt5)
 Lomiri Common Action API (Qt5 version). Allow applications to
 export actions in various forms to the Lomiri Shell.
 .
 This package contains the qtdeclarative binding for the lomiri-action
 library.

Package: lomiri-action-api-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: lomiri-action-doc,
Replaces: lomiri-action-doc,
Description: Lomiri Action API - documentation
 Lomiri Common Action API. Allow applications to
 export actions in various forms to the Lomiri Shell.
 .
 This package contains developer documentation.
