=== examples/CMakeLists.txt ===
add_subdirectory(action-context)
add_subdirectory(preview-action)
add_subdirectory(mail-app)
