=== src/CMakeLists.txt ===
--- 
+++ 
@@ -34,16 +34,16 @@
 
 include_directories(${HUD_INCLUDE_DIRS})
 
-add_library(lomiri-action-qt SHARED
+add_library(lomiri-action-qt${QT_VERSION_IN_LIBNAME} SHARED
     ${CORE_SRCS}
     ${PUBLIC_HEADERS} # public headers have to be included here for Q_DECL_EXPORT to work properly
 )
-target_link_libraries (lomiri-action-qt ${HUD_LIBRARIES})
+target_link_libraries(lomiri-action-qt${QT_VERSION_IN_LIBNAME} ${HUD_LIBRARIES})
 
-target_link_libraries(lomiri-action-qt Qt5::Core)
+target_link_libraries(lomiri-action-qt${QT_VERSION_IN_LIBNAME} Qt::Core)
 
 install(
-  TARGETS lomiri-action-qt
+  TARGETS lomiri-action-qt${QT_VERSION_IN_LIBNAME}
   ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   RUNTIME DESTINATION bin
   LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
@@ -55,14 +55,14 @@
 
 set(SO_VERSION ${API_VERSION_MAJOR})
 
-set_target_properties(lomiri-action-qt PROPERTIES
+set_target_properties(lomiri-action-qt${QT_VERSION_IN_LIBNAME} PROPERTIES
                       SOVERSION ${SO_VERSION}
 )
 
-set(PC_FILE_TARGET "${CMAKE_CURRENT_BINARY_DIR}/lomiri-action-qt-${API_VERSION_MAJOR}.pc")
+set(PC_FILE_TARGET "${CMAKE_CURRENT_BINARY_DIR}/lomiri-action-qt${QT_VERSION_IN_LIBNAME}-${API_VERSION_MAJOR}.pc")
 set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
-set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lomiri-action-qt-${API_VERSION_MAJOR}")
-set(ABSOLUTE_SO_FILE "${CMAKE_INSTALL_FULL_LIBDIR}/liblomiri-action-qt.so.${SO_VERSION}")
+set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}/lomiri-action-qt${QT_VERSION_IN_LIBNAME}-${API_VERSION_MAJOR}")
+set(ABSOLUTE_SO_FILE "${CMAKE_INSTALL_FULL_LIBDIR}/liblomiri-action-qt${QT_VERSION_IN_LIBNAME}.so.${SO_VERSION}")
 configure_file("lomiri-action-qt.pc.in" ${PC_FILE_TARGET} @ONLY)
 install(
   FILES ${PC_FILE_TARGET}
