=== documentation/cpp/CMakeLists.txt ===
--- 
+++ 
@@ -11,8 +11,7 @@
 
 install(
   DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
-  DESTINATION ${CMAKE_INSTALL_DOCDIR}/cpp/
+  DESTINATION ${CMAKE_INSTALL_FULL_DOCDIR}/cpp/
 )
 
 endif(DOXYGEN_FOUND)
-
