=== documentation/qml/CMakeLists.txt ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 install(
   DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
-  DESTINATION ${CMAKE_INSTALL_DOCDIR}/qml/
+  DESTINATION ${CMAKE_INSTALL_FULL_DOCDIR}/qml/
 )
 
 endif(QDOC_EXECUTABLE)
