=== examples/action-context/CMakeLists.txt ===
set(EXAMPLE_SRCS
    action-context.cpp
)

add_executable(action-context ${EXAMPLE_SRCS})
target_link_libraries(action-context lomiri-action-qt${QT_VERSION_IN_LIBNAME})
target_link_libraries(action-context Qt::Core Qt::Widgets)
