=== examples/mail-app/CMakeLists.txt ===
set(EXAMPLE_SRCS
    mail-app.cpp
)

add_executable(mail-app ${EXAMPLE_SRCS})
target_link_libraries(mail-app lomiri-action-qt${QT_VERSION_IN_LIBNAME})
target_link_libraries(mail-app Qt::Core Qt::Widgets)
