=== test/cpp/CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,10 @@
 include_directories(${GIO_INCLUDE_DIRS})
 
 add_executable(cpptest ${TEST_SRCS})
-target_link_libraries(cpptest lomiri-action-qt ${GIO_LIBRARIES})
-find_package(Qt5Test REQUIRED)
-target_link_libraries(cpptest Qt5::Core Qt5::Test)
+target_link_libraries(cpptest lomiri-action-qt${QT_VERSION_IN_LIBNAME} ${GIO_LIBRARIES})
+
+find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Test)
+
+target_link_libraries(cpptest Qt::Core Qt::Test)
 
 add_test(NAME cpp COMMAND ${testCommand})
