=== qml/Lomiri/Action/CMakeLists.txt ===
set(CORE_SRCS
    plugin.cpp
    qml-action.cpp
    qml-preview-action.cpp
    qml-manager.cpp
    qml-context.cpp
)

# Build everything twice. Since we have only a few
# source files, this is not an issue. If it does
# become one, change tools so they use the plugin
# instead of calling the classes directly.

add_library(lomiri-action-qml SHARED
${CORE_SRCS}
)
target_link_libraries(lomiri-action-qml lomiri-action-qt${QT_VERSION_IN_LIBNAME})

target_link_libraries(lomiri-action-qml Qt::Qml)

set(QML_PLUGIN_DIR "${CMAKE_INSTALL_FULL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")

install(
  TARGETS lomiri-action-qml
  ARCHIVE DESTINATION ${QML_PLUGIN_DIR}/Lomiri/Action
  RUNTIME DESTINATION bin
  LIBRARY DESTINATION ${QML_PLUGIN_DIR}/Lomiri/Action
)

install(
  FILES qmldir
  DESTINATION ${QML_PLUGIN_DIR}/Lomiri/Action
)

# copy qmldir file into build directory for shadow builds
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/qmldir"
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
    )
