=== debian/changelog ===
lomiri-action-api (1.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113239).
  * debian/lomiri-action-api-doc.compress:
    + Don't auto-compress any documentation files. This breaks browsing
      the docs in a webbrowser and thus should be avoided.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Oct 2025 16:32:29 +0200
