=== debian/control ===
--- 
+++ 
@@ -113,6 +113,7 @@
 Package: lomiri-action-api-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Breaks: lomiri-action-doc,
