=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Comment this to turn off verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Silence Qt6 complaints about LANG=C
export LANG=C.UTF-8

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt6 --buildsystem=cmake -- \
	                  -DGENERATE_DOCUMENTATION=OFF \
	                  -DENABLE_QT6=ON \
	                  -DENABLE_WERROR=OFF \
	                  -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	                  -Duse_libhud2=OFF \
	                  ..
	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake -- \
	                  -DGENERATE_DOCUMENTATION=ON \
	                  -DENABLE_QT6=OFF \
	                  -DENABLE_WERROR=OFF \
	                  -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON \
	                  -Duse_libhud2=OFF \
	                  ..

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt6 --buildsystem=cmake ..
	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake ..

override_dh_auto_test:
#	LANG=$(LANG) dh_auto_test --builddirectory=build-qt6 ..
	LANG=$(LANG) dh_auto_test --builddirectory=build-qt5 ..

override_dh_auto_install:
	LANG=$(LANG) dh_auto_install --no-parallel \
	                             --builddirectory=build-qt6 \
	                             --buildsystem=cmake \
	                             ..
	LANG=$(LANG) dh_auto_install --no-parallel \
	                             --builddirectory=build-qt5 \
	                             --buildsystem=cmake \
	                             ..

override_dh_install:
	mv debian/tmp/usr/share/doc/lomiri-action-api debian/tmp/usr/share/doc/lomiri-action-api-doc
	rdfind -makesymlinks true "debian/tmp/usr/share/doc/lomiri-action-api-doc/"
	symlinks -rc "debian/tmp/usr/share/doc/lomiri-action-api-doc/"
	dh_install

override_dh_installdocs:
	dh_installdocs
	# Remove the build directory from the generated documentation for reproducible builds (fails for arch:any-only builds)
	-sed -i -e "s,$(CURDIR),,g" debian/lomiri-action-api-doc/usr/share/doc/lomiri-action-api-doc/qml/lomiri-action-qml-api.index

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt6 --buildsystem=cmake ..
	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake ..

override_dh_clean:
	dh_clean
	-rm results.txt

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
